com.thinkaurelius.titan.diskstorage.configuration

## Class BasicConfiguration

- java.lang.Object
- - com.thinkaurelius.titan.diskstorage.configuration.AbstractConfiguration
  - - com.thinkaurelius.titan.diskstorage.configuration.BasicConfiguration

- All Implemented Interfaces:
    Configuration
  Direct Known Subclasses:
    ModifiableConfiguration

      public class BasicConfiguration
      extends AbstractConfiguration

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BasicConfiguration.Restriction`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `FROZEN_KEY`
    `protected boolean` | `isFrozen`

    - ### Fields inherited from interface com.thinkaurelius.titan.diskstorage.configuration.Configuration

      `EMPTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicConfiguration(ConfigNamespace root, ReadConfiguration config, BasicConfiguration.Restriction restriction)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `<O> O` | `get(ConfigOption<O> option, String... umbrellaElements)`
    `Map<ConfigElement.PathIdentifier,Object>` | `getAll()`
    `ReadConfiguration` | `getConfiguration()`
    `Set<String>` | `getContainedNamespaces(ConfigNamespace umbrella, String... umbrellaElements)`
    `Map<String,Object>` | `getSubset(ConfigNamespace umbrella, String... umbrellaElements)`
    `boolean` | `has(ConfigOption option, String... umbrellaElements)`
    `boolean` | `isFrozen()`
    `Configuration` | `restrictTo(String... umbrellaElements)`
    `protected void` | `verifyOption(ConfigOption option)`

    - ### Methods inherited from class com.thinkaurelius.titan.diskstorage.configuration.AbstractConfiguration

      `getContainedNamespaces, getPath, getRootNamespace, getSubset, restrictTo, verifyElement`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FROZEN_KEY

          protected static final String FROZEN_KEY

      See Also:
        Constant Field Values

    - #### isFrozen

          protected boolean isFrozen

  - ### Constructor Detail

    - #### BasicConfiguration

          public BasicConfiguration(ConfigNamespace root,
                            ReadConfiguration config,
                            BasicConfiguration.Restriction restriction)

  - ### Method Detail

    - #### verifyOption

          protected void verifyOption(ConfigOption option)

    - #### has

          public boolean has(ConfigOption option,
                    String... umbrellaElements)

    - #### get

          public <O> O get(ConfigOption<O> option,
                  String... umbrellaElements)

    - #### getContainedNamespaces

          public Set<String> getContainedNamespaces(ConfigNamespace umbrella,
                                           String... umbrellaElements)

    - #### getSubset

          public Map<String,Object> getSubset(ConfigNamespace umbrella,
                                     String... umbrellaElements)

    - #### restrictTo

          public Configuration restrictTo(String... umbrellaElements)

    - #### getAll

          public Map<ConfigElement.PathIdentifier,Object> getAll()

    - #### isFrozen

          public boolean isFrozen()

    - #### getConfiguration

          public ReadConfiguration getConfiguration()

    - #### close

          public void close()

      Specified by:
        `close` in class `AbstractConfiguration`

Copyright © 2012–2014. All rights reserved.